# -*- coding: utf-8 -*-
<Setting>:
    name: "Setting"
    RelativeLayout:
        canvas.before:
            Color:
                rgba: bg_col
            Rectangle:
                size: self.size
                pos: self.pos
        BoxLayout:
            orientation: "vertical"

            padding: 20, 50
            spacing: 10

            BoxLayout:
                id: admins_part
                size_hint_y: None
                height: 0
                padding: 20,10,20,10
                spacing: 30
                opacity: 0

                canvas.before:
                    Color:
                        rgba: .4,.4,.4,1
                    Line:
                        points: self.x+20,self.y+5, self.x+self.width-20, self.y+5
                        width: 1

                    Color:
                        rgba: .6,1,1,0
                    Rectangle:
                        size: self.size
                        pos: self.pos

                BoxLayout:
                    orientation: "vertical"
                    canvas.before:
                        Color:
                            rgba: .95,.95,.95,.6
                        Rectangle:
                            size: self.size
                            pos: self.pos
                    BoxLayout:
                        size_hint_y: None
                        height: 25
                        id: infs
                        spacing: 5
                        padding: 3

                        Label:
                            size_hint_x: .2
                            canvas.before:
                                Color:
                                    rgba: .7,.7,.7,1
                                Rectangle:
                                    size: self.size
                                    pos: self.pos

                            text: "condition"
                            color: 0,0,0,1
                        Label:
                            size_hint_x: .2
                            canvas.before:
                                Color:
                                    rgba: .7,.7,.7,1
                                Rectangle:
                                    size: self.size
                                    pos: self.pos

                            text: "Email"
                            color: 0,0,0,1
                        Label:
                            size_hint_x: .2
                            canvas.before:
                                Color:
                                    rgba: .7,.7,.7,1
                                Rectangle:
                                    size: self.size
                                    pos: self.pos

                            text: "Telephone"
                            color: 0,0,0,1
                        Label:
                            size_hint_x: .2
                            canvas.before:
                                Color:
                                    rgba: .7,.7,.7,1
                                Rectangle:
                                    size: self.size
                                    pos: self.pos

                            text: "Name"
                            color: 0,0,0,1
                        Label:
                            size_hint_x: .2
                            canvas.before:
                                Color:
                                    rgba: .7,.7,.7,1
                                Rectangle:
                                    size: self.size
                                    pos: self.pos
                            text: "Username"
                            color: 0,0,0,1


                    BoxLayout:
                        ListView:
                            size_hint: (1.0, 1.0)
                            id: Listing_admin

                BoxLayout:
                    orientation: "vertical"
                    size_hint_x: None
                    width: 80
                    spacing: 4

                    Label_f:
                        text: strs.karbaran
                        color: 0,0,0,1
                        #font_size: 18

                    Button:
                        size_hint: None, None
                        pos_hint: {'center_x':.5}
                        size: (64,64)
                        id: add
                        background_normal: "data/icons/add_2.png"
                        on_release: root.add_admin()
                    Button:
                        size_hint: None, None
                        pos_hint: {'center_x':.5}
                        size: (64,64)
                        id: add
                        background_normal: "data/icons/del_2.png"
                        on_release: root.del_admin()
                    Button:
                        size_hint: None, None
                        pos_hint: {'center_x':.5}
                        size: (64,64)
                        id: add
                        background_normal: "data/icons/extract_64.png"
                        on_release: root.view_admin()


            BoxLayout:
                id: sync
                size_hint_y: None
                height: 0
                padding: 20,10,20,10
                spacing: 30
                opacity: 0


                canvas.before:
                    Color:
                        rgba: .4,.4,.4,1
                    Line:
                        points: self.x+20,self.y+5, self.x+self.width-20, self.y+5
                        width: 1

                    Color:
                        rgba: .2,.4,1,0
                    Rectangle:
                        size: self.size
                        pos: self.pos

                BoxLayout:
                    canvas.before:
                        Color:
                            rgba: .9,.9,.9,1
                        Rectangle:
                            size: self.size
                            pos: self.pos

                BoxLayout:
                    orientation: "vertical"
                    size_hint_x: None
                    width: 80

                    Label_f:
                        text: strs.sync
                        color: 0,0,0,1
                    Button:
                        size_hint: None, None
                        pos_hint: {'center_x':.5}
                        size: (64,64)
                        id: add
                        background_normal: "data/icons/add_2.png"
                        on_release: root.add_external()
                    Button:
                        size_hint: None, None
                        pos_hint: {'center_x':.5}
                        size: (64,64)
                        id: add
                        background_normal: "data/icons/del_2.png"
                        on_release: root.del_external()
                    Button:
                        size_hint: None, None
                        pos_hint: {'center_x':.5}
                        size: (64,64)
                        id: add
                        background_normal: "data/icons/extract_64.png"
                        on_release: root.view_external()

            BoxLayout:
                orientation: "vertical"
                id: about_us
                #size_hint_y: None
                #height: 250

                canvas.before:
                    Color:
                        rgba: .4,.4,.4,0
                    Line:
                        points: self.x+20,self.y+5, self.x+self.width-20, self.y+5
                        width: 1

                    Color:
                        rgba: .6,1,.4,0
                    Rectangle:
                        size: self.size
                        pos: self.pos

                BoxLayout:
                    orientation: "vertical"
                    padding: 20,0,20,0
                    #Label:

                    Label_f:
                        text: strs.about_us
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.95}
                        color: 0,0,0,1
                    Label_f:
                        text: strs.about_us_1
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.9}
                        color: 0,0,0,1
                    Label_f:
                        text: strs.about_us_2
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.9}
                        color: 0,0,0,1
                    Label_f:
                        text: strs.about_us_3
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.9}
                        color: 0,0,0,1
                    Label_f:
                        text: strs.about_us_4
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.9}
                        color: 0,0,0,1
                    Label_f:
                        text: strs.about_us_5
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.9}
                        color: 0,0,0,1
                    Label_f:
                        text: strs.about_us_6
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.9}
                        color: 0,0,0,1
                    Label_f:
                        text: strs.about_us_7
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.9}
                        color: 0,0,0,1
                    Label_f:
                        text: strs.about_us_8
                        size_hint: None, None
                        size: self.texture_size
                        pos_hint:{'right':.9}
                        color: 0,0,0,1

                BoxLayout:
                    size_hint_y: None
                    height: 80
                    padding: 20,0,20,0
                    Label:
                    Button_f:
                        text: strs.update
                        size_hint: None, None
                        size: (250,70)
                        pos_hint:{'center_y': .5}


            Label:

        admins:
            id: admins






<admins>:
    en: False
    size_hint: None,None
    size: (900, 300) if self.en else (0,0)
    pos_hint: {'center_x': .5, 'center_y': .7} if self.en else {'x':1,'y':1}
    opacity: 1 if self.en else .6

    canvas.before:
        Color:
            rgba: 0,0,0,.2
        Rectangle:
            size: self.size
            pos: self.pos
        Color:
            rgba: .4,.4,.4,.4
        Rectangle:
            size: (self.size[0]-4,self.size[1]-4)
            pos: (self.pos[0]+2,self.pos[1]+2)

        Color:
            rgba: .5,.5,.5,.8
        Rectangle:
            size: (self.size[0]-8,self.size[1]-8)
            pos: (self.pos[0]+4,self.pos[1]+4)

        Color:
            rgba: .96,.96,.96,1
        Rectangle:
            size: (self.size[0]-10,self.size[1]-10)
            pos: (self.pos[0]+5,self.pos[1]+5)

    padding:20
    spacing:5

    BoxLayout:
        orientation: "vertical"
        size_hint_x: None
        width: 80
        Label:
        Button:
            size_hint: None,None
            size: 64,64
            pos_hint:{'center_x':.5}
            background_normal: "data/icons/save.png"
            on_release: root.save()

    BoxLayout:
        orientation: "vertical"
        padding: 0,5,0,5
        Label_f:
            text: strs.name
            color: 0,0,0,1
            size_hint_x: None
            font_size: 16
            width:20
            pos_hint:{'right':.95}

        Fa_text:
            id: name
            mod: 'all'
            text:""
            size_hint: None, None
            font_size: 16
            width: 250
            height: 35
            pos_hint:{'x':.05}
            font_name: "data/Tahoma Regular font.ttf"
            write_tab: False

        Label_f:
            text: strs.tel
            color: 0,0,0,1
            size_hint_x: None
            font_size: 16
            width:20
            pos_hint:{'right':.95}

        TextInput:
            id: tel
            size_hint: None, None
            font_size: 16
            width:250
            height: 35
            pos_hint:{'x':.05}
            font_name: "data/Tahoma Regular font.ttf"
            write_tab: False

        Label_f:
            text: strs.email
            color: 0,0,0,1
            size_hint_x: None
            font_size: 16
            width:20
            pos_hint:{'right':.95}

        TextInput:
            id: email
            size_hint: None, None
            font_size: 16
            width:250
            height: 35
            pos_hint:{'x':.05}
            font_name: "data/Tahoma Regular font.ttf"
            write_tab: False

        Label_f:
            text: strs.condition
            color: 0,0,0,1
            size_hint_x: None
            font_size: 16
            width:20
            pos_hint:{'right':.95}

        TextInput:
            id: condition
            size_hint: None, None
            font_size: 16
            width:250
            height: 35
            pos_hint:{'x':.05}
            font_name: "data/Tahoma Regular font.ttf"
            write_tab: False





    BoxLayout:
        orientation: "vertical"
        padding: 0,5,0,5


        Label_f:
            text:strs.username
            color: 0,0,0,1
            font_size: 16
            size_hint_x: None
            width:80
            pos_hint: {'right': .95}

        TextInput:
            id: username
            size_hint: None, None
            width: 250
            height: 35
            pos_hint: {'x':.05}
            write_tab: False

        Label_f:
            text:strs.passwd
            color: 0,0,0,1
            font_size: 16
            size_hint_x: None
            width:80
            pos_hint: {'right': .95}

        TextInput:
            id: pass_1
            size_hint: None, None
            width: 250
            height: 35
            pos_hint: {'x':.05}
            password: True
            write_tab: False
        Label_f:
            text:strs.passwdre
            color: 0,0,0,1
            font_size: 16
            size_hint_x: None
            width:80
            pos_hint: {'right': .95}

        TextInput:
            id: pass_2
            size_hint: None, None
            width: 250
            height: 35
            pos_hint: {'x':.05}
            password: True
            write_tab: False
